Đến nội dung


Hình ảnh
- - - - -

[ Giúp đỡ ] Hỏi về lệnh Entsel - Auto Lisp


  • Please log in to reply
9 replies to this topic

#1 --NK--

--NK--

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 23 December 2013 - 03:00 PM

Chào mọi người.

 

Về hàm Entsel, khi mình chọn đối tượng thì không hiện Highlight giống như Hàm SSget.

Vì vậy khi pick chọn đối tượng rât dễ nhầm lẫn khi không biết mình đã chọn hay chưa.

Có cách nào giúp Hàm Entsel sau khi chọn đối tượng sẽ hiển thị highlight đối tượng ko?

 

Mong sự hồi đáp của mọi người.

 


  • 0

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 23 December 2013 - 03:49 PM

Bạn dùng thêm hàm redraw

(redraw (car(entsel)) 3)


  • 1

#3 --NK--

--NK--

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 23 December 2013 - 04:22 PM

Cảm ơn bạn đã trả lời.

Mình đã thử nhưng khi sử dụng cú pháp như vậy, kết quả là Nil.

Như vậy chúng ta không thể lấy đối tượng vừa chọn được.

Và khi kết thúc lệnh thì vẫn hiện Highlight và chúng ta phải sử dụng lệnh Regen để trở lại trạng thái bt.

Có thể mình ko hiểu lắm về hàm này .

Bạn có thể giải thích thêm chút được không


  • 0

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 23 December 2013 - 04:59 PM

Cảm ơn bạn đã trả lời.

Mình đã thử nhưng khi sử dụng cú pháp như vậy, kết quả là Nil.

Như vậy chúng ta không thể lấy đối tượng vừa chọn được.

Và khi kết thúc lệnh thì vẫn hiện Highlight và chúng ta phải sử dụng lệnh Regen để trở lại trạng thái bt.

Có thể mình ko hiểu lắm về hàm này .

Bạn có thể giải thích thêm chút được không

 

Hàm redraw highlight đối tượng như bạn thấy, chứ nó không hiện Grid lên

-> Khi sử dụng hàm trên thì muốn trở lại bình thường không cần phải gõ lệnh Regen, chỉ cần chọn đối tượng đó và Nhấn ESC

Còn nếu bạn muốn hiện Grid của đối tượng đó lên thì sử dụng code này :

 

(sssetfirst nil (ssadd (car(entsel)) (ssadd)))


  • 0

#5 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 23 December 2013 - 08:05 PM

Cảm ơn bạn đã trả lời.

Mình đã thử nhưng khi sử dụng cú pháp như vậy, kết quả là Nil.

Như vậy chúng ta không thể lấy đối tượng vừa chọn được.

Và khi kết thúc lệnh thì vẫn hiện Highlight và chúng ta phải sử dụng lệnh Regen để trở lại trạng thái bt.

Có thể mình ko hiểu lắm về hàm này .

Bạn có thể giải thích thêm chút được không

Sử dụng như này để vừa chọn vừa Highlight:

(redraw (setq ent (car (entsel))) 3)

Sử dụng như này để Unhighlight:

(redraw ent 4)


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#6 vanngeonhuxua

vanngeonhuxua

    biết vẽ pline

  • Members
  • PipPip
  • 62 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 10 January 2015 - 08:09 PM

Cho hỏi là có cách nào chọn đối tượng cho hàm Entsel mà không cần phải kích chọn đối tượng không. Giả sử em đã có đối tượng obj trước rồi?


  • 0

#7 trinhhoanghieu090

trinhhoanghieu090

    Edu level: li8

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 10 January 2015 - 10:31 PM

Cho hỏi là có cách nào chọn đối tượng cho hàm Entsel mà không cần phải kích chọn đối tượng không. Giả sử em đã có đối tượng obj trước rồi?


Bạn tìm hiểu thêm về ssget và các bộ lọc chứ bản thân hàm entsel không làm đuợc điều này.
  • 0

#8 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 11 January 2015 - 10:19 AM

Cho hỏi là có cách nào chọn đối tượng cho hàm Entsel mà không cần phải kích chọn đối tượng không. Giả sử em đã có đối tượng obj trước rồi?

"Đã có đói tượng" rồi thì chọn làm gì ?
Chắc ý là : highlight đói tượng ?
  • 0

#9 vanngeonhuxua

vanngeonhuxua

    biết vẽ pline

  • Members
  • PipPip
  • 62 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 11 January 2015 - 07:21 PM

Không bạn nó như thế này: mình có 1 đường Pline rồi chọn nó bằng ssget rồi conver nó sang Spline tiếp theo là entsel đường spline đó. Khi mình dùng entsel thì nó bắt kích chọn đường spline đó, mình muốn hỏi là có cách nào để không phải kích chọn nó không? Mình đang bập bẹ tý lisp mong bạn chỉ dùm?


  • 0

#10 --NK--

--NK--

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 07 March 2015 - 10:07 PM

Không bạn nó như thế này: mình có 1 đường Pline rồi chọn nó bằng ssget rồi conver nó sang Spline tiếp theo là entsel đường spline đó. Khi mình dùng entsel thì nó bắt kích chọn đường spline đó, mình muốn hỏi là có cách nào để không phải kích chọn nó không? Mình đang bập bẹ tý lisp mong bạn chỉ dùm?

Chào bạn!

Caí này la ko cần dùng entsel như bạn. Mà chúng ta dùng hàm (entlast).

Nghĩa là lấy đối tượng cuối cùng thao tác.

vd: (setq a (entlast))


  • 1